Site announcements

General news and announcements

DiscussionStarted byRepliesLast post
BIT Exam timetable - Semester 2,4 & 6 (2019) Picture of Admin User Admin User 0 Admin User
Fri, 18 Oct 2019, 2:16 PM
BIT Semester 6 instruction Picture of Admin User Admin User 0 Admin User
Thu, 17 Oct 2019, 8:58 AM
IT6305 Case Study in 2019 Picture of Admin User Admin User 0 Admin User
Thu, 17 Oct 2019, 8:40 AM
BIT Online Assignment & Assessment Deadlines Picture of Admin User Admin User 0 Admin User
Wed, 9 Oct 2019, 11:52 AM
BIT SEMESTER EXAMINATIONS 2019- SEMESTER FOUR EXAMS ARE POSTPONED Picture of Admin User Admin User 0 Admin User
Mon, 7 Oct 2019, 10:05 AM
3rd Bali Democracy Student Conference (BDSC) on 4-7 December 2019, Bali, Indonesia Picture of Admin User Admin User 0 Admin User
Fri, 27 Sep 2019, 9:53 AM
Notice- Exam deadline extended Picture of Admin User Admin User 0 Admin User
Thu, 19 Sep 2019, 8:45 AM
BIT Semester 2, 4 and 6 Examination Deadline Extended. Picture of Admin User Admin User 0 Admin User
Wed, 4 Sep 2019, 10:44 AM
Semester 5 Results - 2019 Picture of Admin User Admin User 0 Admin User
Tue, 27 Aug 2019, 8:43 AM
Link to the memorial oration invitation Picture of Admin User Admin User 0 Admin User
Fri, 23 Aug 2019, 9:37 AM
Online Training on Angular Web Framework Picture of Admin User Admin User 0 Admin User
Fri, 23 Aug 2019, 8:01 AM
19th International Conference on Advances in ICT for emerging regions (ICTer2019) Picture of Admin User Admin User 0 Admin User
Mon, 19 Aug 2019, 8:29 AM
SPECIAL NOTICE FOR GRADUANTS – EXTERNAL DEGREE CONVOCATION 17TH AUGUST 2019 Picture of Admin User Admin User 0 Admin User
Fri, 16 Aug 2019, 1:29 PM
BIT CONVOCATION - 17th AUGUST 2019 (COLLECT YOUR CLOAK & GARLAND) Picture of Admin User Admin User 0 Admin User
Fri, 9 Aug 2019, 3:33 PM
AWARD CEREMONY - 10TH AUGUST, 2019 Picture of Admin User Admin User 0 Admin User
Tue, 6 Aug 2019, 10:04 AM
Sem 2, 4 and 6 online assignment and assessment deadlines 2019 Picture of Admin User Admin User 0 Admin User
Fri, 2 Aug 2019, 2:38 PM
NBQSA 2019 application calling date 31st July 2019 Picture of Admin User Admin User 0 Admin User
Fri, 19 Jul 2019, 8:39 AM
The posts of Senior Lecturer Gr.II (Contract), Temp.Asst. Lecturer, Temp. Instructor Picture of Admin User Admin User 0 Admin User
Mon, 8 Jul 2019, 10:43 AM
Shilpasena - An Exposition for Technology Revolution Picture of Admin User Admin User 0 Admin User
Thu, 4 Jul 2019, 1:25 PM
ADMISSION CARDS FOR SEMESTER 5- BIT EXAMINATIONS ARE RELEASED Picture of Admin User Admin User 0 Admin User
Fri, 28 Jun 2019, 9:50 AM
DIT and HDIT AWARD CEREMONY-2018 FORMS ARE NOW AVAILABLE Picture of Admin User Admin User 0 Admin User
Fri, 28 Jun 2019, 9:43 AM
CONVOCATION-2018 FORMS ARE NOW AVAILABLE Picture of Admin User Admin User 0 Admin User
Fri, 28 Jun 2019, 9:28 AM
ADMISSION CARDS FOR SEMESTER 3- BIT EXAMINATIONS ARE RELEASED Picture of Admin User Admin User 0 Admin User
Fri, 21 Jun 2019, 2:29 PM
Job Opportunity Software Engineer C++ Picture of Admin User Admin User 0 Admin User
Mon, 17 Jun 2019, 8:16 AM
ADMISSION CARDS FOR SEMESTER 1- BIT EXAMINATIONS ARE RELEASED Picture of Admin User Admin User 0 Admin User
Fri, 14 Jun 2019, 2:37 PM
BIT online assessment deadline 2019 - Extended. Picture of Admin User Admin User 0 Admin User
Thu, 13 Jun 2019, 3:13 PM
REVISED RATES OF THE BIT TRANSCRIPTS Picture of Admin User Admin User 0 Admin User
Fri, 31 May 2019, 9:12 AM
BIT NEW IDENTITY CARDS ARE POSTED Picture of Admin User Admin User 0 Admin User
Mon, 27 May 2019, 8:35 AM
NOTICE Picture of Admin User Admin User 0 Admin User
Fri, 24 May 2019, 8:56 AM
BIT semester 1 and 3 assignment deadlines extended Picture of Admin User Admin User 0 Admin User
Wed, 22 May 2019, 8:46 AM
Project schedule - Revised Picture of Admin User Admin User 0 Admin User
Tue, 14 May 2019, 3:53 PM
IMPORTANT NOTICE FOR ALL STUDENTS Picture of Admin User Admin User 0 Admin User
Fri, 10 May 2019, 4:04 PM
BIT EXAMS ARE POSTPONED TO JUNE Picture of Admin User Admin User 0 Admin User
Fri, 10 May 2019, 4:02 PM
BIT SEMESTER EXAMS ARE POSTPONED Picture of Admin User Admin User 0 Admin User
Tue, 30 Apr 2019, 2:22 PM
Progress Report 1 submission: Deadline Extended Picture of Admin User Admin User 0 Admin User
Mon, 29 Apr 2019, 9:28 AM
Final Results 2018 of BIT Degree Picture of Admin User Admin User 0 Admin User
Tue, 23 Apr 2019, 9:19 AM
SEM. 1, 3 & 5 ADMISSION CARDS - RELEASING DATES Picture of Admin User Admin User 0 Admin User
Fri, 5 Apr 2019, 10:26 AM
MIND - SCHOLARSHIPS FOR UNDERGRADUATES (2019 /2020) Picture of Admin User Admin User 0 Admin User
Fri, 5 Apr 2019, 8:59 AM
April Pledge Picture of Admin User Admin User 0 Admin User
Fri, 5 Apr 2019, 7:49 AM
SEM. 1, 3 & 5 EXAM APPLICATIONS (Extended till 02nd APRIL) Picture of Admin User Admin User 0 Admin User
Mon, 1 Apr 2019, 9:06 AM
Project VLE Login Issues Picture of Admin User Admin User 0 Admin User
Wed, 27 Mar 2019, 12:46 PM
Students registered for the BIT project 2019 Picture of Admin User Admin User 0 Admin User
Mon, 18 Mar 2019, 11:51 AM
Free Learning Materials from Virtual Higher Education College (VHEC)[Dharmavahini Foundation] Picture of Admin User Admin User 0 Admin User
Thu, 14 Mar 2019, 3:20 PM
BIT - 2019 - SEM. 1, 3 & 5 EXAMINATION APPLICATIONS ARE OPEN Picture of Admin User Admin User 0 Admin User
Tue, 12 Mar 2019, 8:36 AM
BIT ID CARDS and STUDENT HANDBOOK-2019 Picture of Admin User Admin User 0 Admin User
Thu, 7 Mar 2019, 3:16 PM
Year 3 – Project Results (IT6105) in 2018 Picture of Admin User Admin User 0 Admin User
Thu, 7 Mar 2019, 11:30 AM
BIT - 2019 - SEM. 1, 3 & 5 EXAMINATION APPLICATIONS ARE OPEN Picture of Admin User Admin User 0 Admin User
Wed, 6 Mar 2019, 3:40 PM
2019 BIT Handbook is Now Available at BIT Website Picture of Admin User Admin User 0 Admin User
Tue, 26 Feb 2019, 8:36 AM
BIT-FINAL REGISTRATION LIST-2019 (INTERVIEWS - 23rd February List) Picture of Admin User Admin User 0 Admin User
Fri, 22 Feb 2019, 11:02 AM
hard bound Submission Picture of Admin User Admin User 0 Admin User
Fri, 8 Feb 2019, 2:39 PM
BIT - NEW REGISTRATIONS for 2019 Picture of Admin User Admin User 0 Admin User
Fri, 8 Feb 2019, 8:00 AM
IT6105: Final Year Project – Registration Open (deadline: 15th February 2019) Picture of Admin User Admin User 0 Admin User
Wed, 30 Jan 2019, 11:42 AM
2018 - DEGREE & DIPLOMA CERTIFICATES ARE READY Picture of Admin User Admin User 0 Admin User
Tue, 29 Jan 2019, 11:00 AM
2019 - YEAR 3 RE-REGISTRATION IS OPEN NOW Picture of Admin User Admin User 0 Admin User
Tue, 29 Jan 2019, 10:57 AM
REGISTRATION RENEWAL for 2019 Picture of Admin User Admin User 0 Admin User
Wed, 23 Jan 2019, 8:25 AM
BIT - YEAR PLANNER for 2019 Picture of Admin User Admin User 0 Admin User
Tue, 22 Jan 2019, 8:34 AM
Dissertation corrections to be published Picture of Admin User Admin User 0 Admin User
Fri, 18 Jan 2019, 9:07 AM
IT6105: Final Year Project 2018 Results Picture of Admin User Admin User 0 Admin User
Wed, 16 Jan 2019, 1:31 PM
Science of Docker & Kubernetes Picture of Admin User Admin User 0 Admin User
Fri, 28 Dec 2018, 12:15 PM
Dissertation Evaluation Schedule Picture of Admin User Admin User 0 Admin User
Wed, 19 Dec 2018, 9:01 AM
Schedule for VIVA final list Picture of Admin User Admin User 0 Admin User
Fri, 14 Dec 2018, 10:37 AM
BIT - NEW REGISTRATIONS for 2019 (INTERVIEWS - scheduled in December) Picture of Admin User Admin User 0 Admin User
Tue, 11 Dec 2018, 3:41 PM
BIT Project Evaluation 2018 - Notice Picture of Admin User Admin User 0 Admin User
Tue, 11 Dec 2018, 3:22 PM
Approved Medical list-Final: to be published Picture of Admin User Admin User 0 Admin User
Fri, 7 Dec 2018, 3:11 PM
Medical approved list Picture of Admin User Admin User 0 Admin User
Tue, 4 Dec 2018, 10:30 AM
SLAAS Exhibition Picture of Admin User Admin User 0 Admin User
Tue, 4 Dec 2018, 8:34 AM
Schedule of Dissertation evaluation on 9th Dec Picture of Admin User Admin User 0 Admin User
Mon, 3 Dec 2018, 2:53 PM
Registration open for Dynamics 365 Conference Picture of Admin User Admin User 0 Admin User
Wed, 28 Nov 2018, 10:02 AM
BIT 2019 - NEW REGISTRATION INTERVIEWS Picture of Admin User Admin User 0 Admin User
Tue, 27 Nov 2018, 11:56 AM
RENEWAL OF REGISTRATION FOR YEAR 2019 Picture of Admin User Admin User 0 Admin User
Fri, 23 Nov 2018, 8:25 AM
BIT Semester I - AY 18/19 Picture of Admin User Admin User 0 Admin User
Wed, 21 Nov 2018, 1:13 PM